net.i2p.router

## Class MultiRouterBuilder

- java.lang.Object
- - net.i2p.router.MultiRouterBuilder

-     public class MultiRouterBuilder
      extends Object

  Build a set of config files suitable for use by the multirouter as a simulation, as well as a pair of scripts for running the simulation. Usage:

         MultiRouterBuilder [routerDir routerPortStart]*

  Each router is configured with their own $routerDir/router.config file so that all of its data is stored under the $routerDir (profiles, keys, netDb, etc). In addition, each router has the i2cp port set to $routerPortStart+1, the admin port set to $routerPortStart+2, and some commented out clientApp lines (configured with the SAM bridge at $routerPortStart+3 and an EepProxy at $routerPortStart+4).

  It then builds a $routerDir/heartbeat.config containing the following lines:
  - i2cpHost=localhost
  - i2cpPort=$routerPortStart+1
  - numHops=2
  - privateDestinationFile=$routerDir/heartbeat.keys
  - publicDestinationFile=$routerDir/heartbeat.txt
  Then it goes on to create the $routerDir/routerEnv.txt:
  - loggerFilenameOverride=$routerDir/logs/log-router-#.txt
  - router.configLocation=$routerDir/router.config
  - i2p.vmCommSystem=true
  - i2p.encryption=off
  In addition, it creates a baseEnv.txt:
  - loggerFilenameOverride=logs/log-base-#.txt
  Finally, it creates the MultiRouter startup script to launch all of these routers, stored at runNetSim.bat / runNetSim.sh

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiRouterBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiRouterBuilder

          public MultiRouterBuilder()

  - ### Method Detail

    - #### main

          public static void main(String[] args)